Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision 54cbd6cbe3f43772e199827b08e45068c1241d42)
+++ src/com_mod.f90	(revision 1c0d5e63f47af4e13fdf119fed31e0558305d2ac)
@@ -752,4 +752,6 @@
   logical :: lroot=.true. ! true if serial version, or if MPI .and. root process
   
+  logical :: usekernel=.false. ! true if the output kernel shall be switched on
+  
 contains
   subroutine com_mod_allocate_part(nmpart)
Index: src/conccalc.f90
===================================================================
--- src/conccalc.f90	(revision 92a74b26a4c380bde7d83f918a7d164605d5b263)
+++ src/conccalc.f90	(revision 1c0d5e63f47af4e13fdf119fed31e0558305d2ac)
@@ -61,8 +61,5 @@
 
 
-  integer :: usekernel
-
-  usekernel=1
-  if (usekernel.ne.1) then
+  if (.not.usekernel) then
      write (*,*) 'NOT USING THE KERNEL!'
   endif
@@ -189,5 +186,5 @@
       if (((itage.lt.10800).or.(xl.lt.0.5).or.(yl.lt.0.5).or. &
            (xl.gt.real(numxgrid-1)-0.5).or. &
-           (yl.gt.real(numygrid-1)-0.5)).or.(usekernel.eq.0)) then             ! no kernel, direct attribution to grid cell
+           (yl.gt.real(numygrid-1)-0.5)).or.(.not.usekernel)) then             ! no kernel, direct attribution to grid cell
         if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgrid-1).and. &
              (jy.le.numygrid-1)) then
@@ -326,5 +323,5 @@
         if ((itage.lt.10800).or.(xl.lt.0.5).or.(yl.lt.0.5).or. &
              (xl.gt.real(numxgridn-1)-0.5).or. &
-             (yl.gt.real(numygridn-1)-0.5).or.(usekernel.eq.0)) then             ! no kernel, direct attribution to grid cell
+             (yl.gt.real(numygridn-1)-0.5).or.(.not.usekernel)) then             ! no kernel, direct attribution to grid cell
           if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgridn-1).and. &
                (jy.le.numygridn-1)) then
Index: src/drydepokernel.f90
===================================================================
--- src/drydepokernel.f90	(revision e200b7adb07d4dfa7bf42f7cb43e0c85b4dbf894)
+++ src/drydepokernel.f90	(revision 1c0d5e63f47af4e13fdf119fed31e0558305d2ac)
@@ -81,34 +81,38 @@
     if ((abs(deposit(ks)).gt.0).and.DRYDEPSPEC(ks)) then
 
-   if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgrid-1).and. &
+    if (.not.usekernel) then
+       drygridunc(ix,jy,ks,kp,nunc,nage)= &
+           drygridunc(ix,jy,ks,kp,nunc,nage)+deposit(ks)
+    else
+      if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgrid-1).and. &
         (jy.le.numygrid-1)) then
-    w=wx*wy
+       w=wx*wy
       drygridunc(ix,jy,ks,kp,nunc,nage)= &
            drygridunc(ix,jy,ks,kp,nunc,nage)+deposit(ks)*w
-      continue
-  endif
+     endif
 
-  if ((ixp.ge.0).and.(jyp.ge.0).and.(ixp.le.numxgrid-1).and. &
+    if ((ixp.ge.0).and.(jyp.ge.0).and.(ixp.le.numxgrid-1).and. &
        (jyp.le.numygrid-1)) then
     w=(1.-wx)*(1.-wy)
       drygridunc(ixp,jyp,ks,kp,nunc,nage)= &
            drygridunc(ixp,jyp,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
+    endif
 
-  if ((ixp.ge.0).and.(jy.ge.0).and.(ixp.le.numxgrid-1).and. &
+    if ((ixp.ge.0).and.(jy.ge.0).and.(ixp.le.numxgrid-1).and. &
        (jy.le.numygrid-1)) then
-    w=(1.-wx)*wy
+      w=(1.-wx)*wy
       drygridunc(ixp,jy,ks,kp,nunc,nage)= &
            drygridunc(ixp,jy,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
+    endif
 
-  if ((ix.ge.0).and.(jyp.ge.0).and.(ix.le.numxgrid-1).and. &
+    if ((ix.ge.0).and.(jyp.ge.0).and.(ix.le.numxgrid-1).and. &
        (jyp.le.numygrid-1)) then
-    w=wx*(1.-wy)
+      w=wx*(1.-wy)
       drygridunc(ix,jyp,ks,kp,nunc,nage)= &
            drygridunc(ix,jyp,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
+    endif
 
-  endif
+    endif ! kernel
+    endif ! deposit>0
 
     end do
Index: src/wetdepokernel.f90
===================================================================
--- src/wetdepokernel.f90	(revision e200b7adb07d4dfa7bf42f7cb43e0c85b4dbf894)
+++ src/wetdepokernel.f90	(revision 1c0d5e63f47af4e13fdf119fed31e0558305d2ac)
@@ -79,31 +79,36 @@
   do ks=1,nspec
 
-  if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgrid-1).and. &
+  if (.not.usekernel) then
+      wetgridunc(ix,jy,ks,kp,nunc,nage)= &
+           wetgridunc(ix,jy,ks,kp,nunc,nage)+deposit(ks)
+  else
+    if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgrid-1).and. &
        (jy.le.numygrid-1)) then
-    w=wx*wy
+      w=wx*wy
       wetgridunc(ix,jy,ks,kp,nunc,nage)= &
            wetgridunc(ix,jy,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
+    endif
 
-  if ((ixp.ge.0).and.(jyp.ge.0).and.(ixp.le.numxgrid-1).and. &
+    if ((ixp.ge.0).and.(jyp.ge.0).and.(ixp.le.numxgrid-1).and. &
        (jyp.le.numygrid-1)) then
-    w=(1.-wx)*(1.-wy)
+      w=(1.-wx)*(1.-wy)
       wetgridunc(ixp,jyp,ks,kp,nunc,nage)= &
            wetgridunc(ixp,jyp,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
+    endif
 
-  if ((ixp.ge.0).and.(jy.ge.0).and.(ixp.le.numxgrid-1).and. &
+    if ((ixp.ge.0).and.(jy.ge.0).and.(ixp.le.numxgrid-1).and. &
        (jy.le.numygrid-1)) then
-    w=(1.-wx)*wy
+      w=(1.-wx)*wy
       wetgridunc(ixp,jy,ks,kp,nunc,nage)= &
            wetgridunc(ixp,jy,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
+    endif
 
-  if ((ix.ge.0).and.(jyp.ge.0).and.(ix.le.numxgrid-1).and. &
+    if ((ix.ge.0).and.(jyp.ge.0).and.(ix.le.numxgrid-1).and. &
        (jyp.le.numygrid-1)) then
-    w=wx*(1.-wy)
+      w=wx*(1.-wy)
       wetgridunc(ix,jyp,ks,kp,nunc,nage)= &
            wetgridunc(ix,jyp,ks,kp,nunc,nage)+deposit(ks)*w
-  endif
+    endif
+  endif 
   end do
 
